package com.sf._01_treeset.demo2;

public class User implements Comparable<User>{
    private String name;
    private Integer age;

    public User() {
    }

    public User(String name, Integer age) {
        this.name = name;
        this.age = age;
    }

    /**
     * 获取
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * 设置
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取
     * @return age
     */
    public Integer getAge() {
        return age;
    }

    /**
     * 设置
     * @param age
     */
    public void setAge(Integer age) {
        this.age = age;
    }

    public String toString() {
        return "User{name = " + name + ", age = " + age + "}";
    }
//    根据用户名长度升序排序，如果名字相同按照年龄升序排序。
    @Override
    public int compareTo(User o) {
        int length = this.name.length();
        int length1 = o.getName().length();
        if(length > length1){
            return 1;
        }else if(length< length1){
            return -1;
        }else{
            if(this.getAge() > o.getAge()){
                return 1;
            }else if(this.getAge() < o.getAge()){
                return -1;
            }else{
                return 0;
            }
        }
    }
}
